state.h File Reference
`#include <core/posix/visibility.h>`
`#include <iosfwd>`
Include dependency graph for state.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| core
| core::posix
| core::posix::linux
| core::posix::linux::proc
| core::posix::linux::proc::process

## Enumerations

enum class

core::posix::linux::proc::process::State {
core::posix::linux::proc::process::undefined = -1 ,
core::posix::linux::proc::process::running = 'R' ,
core::posix::linux::proc::process::sleeping = 'S' ,
core::posix::linux::proc::process::disk_sleep = 'D' ,
core::posix::linux::proc::process::zombie = 'Z' ,
core::posix::linux::proc::process::traced_or_stopped = 'T' ,
core::posix::linux::proc::process::paging = 'W'
}